# Interface DefinitionObject

interface DefinitionObject {
inverseRelation ?: string;
isPromoted ?: boolean;
labelType ?: LabelType ;
multiplicity ?: Multiplicity ;
numberPrecision ?: number;
promotedAlias ?: string;
}

- Defined in src/public/app/services/promoted_attribute_definition_parser.ts:4

##### Index

### Properties

inverseRelation?
isPromoted?
labelType?
multiplicity?
numberPrecision?
promotedAlias?

## Properties

### `Optional` inverseRelation

inverseRelation?: string

- Defined in src/public/app/services/promoted_attribute_definition_parser.ts:10

### `Optional` isPromoted

isPromoted?: boolean

- Defined in src/public/app/services/promoted_attribute_definition_parser.ts:5

### `Optional` labelType

labelType?: LabelType

- Defined in src/public/app/services/promoted_attribute_definition_parser.ts:6

### `Optional` multiplicity

multiplicity?: Multiplicity

- Defined in src/public/app/services/promoted_attribute_definition_parser.ts:7

### `Optional` numberPrecision

numberPrecision?: number

- Defined in src/public/app/services/promoted_attribute_definition_parser.ts:8

### `Optional` promotedAlias

promotedAlias?: string

- Defined in src/public/app/services/promoted_attribute_definition_parser.ts:9